import request from '@/utils/request'

// 查询操作操作履历列表
export function listOrderOper(query) {
  return request({
    url: '/system/orderOper/list',
    method: 'get',
    params: query
  })
}

// 查询操作操作履历详细
export function getOrderOper(operId) {
  return request({
    url: '/system/orderOper/' + operId,
    method: 'get'
  })
}

// 新增操作操作履历
export function addOrderOper(data) {
  return request({
    url: '/system/orderOper',
    method: 'post',
    data: data
  })
}

// 修改操作操作履历
export function updateOrderOper(data) {
  return request({
    url: '/system/orderOper',
    method: 'put',
    data: data
  })
}

// 删除操作操作履历
export function delOrderOper(operId) {
  return request({
    url: '/system/orderOper/' + operId,
    method: 'delete'
  })
}
